Get Thread

GET
https://reloop.sh/api/inbox/v1/threads/:id

Path Parameters

idstringRequired

Thread ID

const response = await fetch("https://reloop.sh/api/inbox/v1/threads/{id}", {
  method: "GET",
  headers: {
    "Authorization": "Bearer re_123456789",
  },
});

const data = await response.json();
{
  "id": "con_123456789",
  "mailboxId": "example_mailboxId",
  "organizationId": "example_organizationId",
  "subject": "Welcome to Reloop",
  "lastMessagePreview": "example_lastMessagePreview",
  "lastMessageAt": "2026-03-23T10:00:00.000Z",
  "status": "example_status",
  "messageCount": 0,
  "participants": [
    "example_participants"
  ],
  "isRead": true,
  "isStarred": true,
  "createdAt": "2026-03-23T10:00:00.000Z",
  "updatedAt": "2026-03-23T10:00:00.000Z",
  "messages": [
    {
      "id": "con_123456789",
      "threadId": "example_threadId",
      "direction": "example_direction",
      "inboundEmailId": "example_inboundEmailId",
      "emailLogId": "example_emailLogId",
      "fromEmail": "example_fromEmail",
      "fromName": "example_fromName",
      "subject": "Welcome to Reloop",
      "preview": "example_preview",
      "messageAt": "2026-03-23T10:00:00.000Z",
      "rfc822MessageId": "example_rfc822MessageId",
      "inReplyTo": "example_inReplyTo",
      "createdAt": "2026-03-23T10:00:00.000Z",
      "email": {
        "id": "con_123456789",
        "fromEmail": "example_fromEmail",
        "toEmails": [
          "example_toEmails"
        ],
        "subject": "Welcome to Reloop",
        "textBody": "example_textBody",
        "htmlBody": "example_htmlBody",
        "isRead": true,
        "isStarred": true,
        "attachments": [
          {
            "id": "con_123456789",
            "inboundEmailId": "example_inboundEmailId",
            "filename": "example_filename",
            "contentType": "example_contentType",
            "size": 0,
            "storagePath": "example_storagePath",
            "contentDisposition": "example_contentDisposition",
            "contentId": "example_contentId",
            "createdAt": "2026-03-23T10:00:00.000Z"
          }
        ],
        "createdAt": "2026-03-23T10:00:00.000Z"
      }
    }
  ]
}

Was this page helpful?

Edit this page